> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Work Order

> This endpoint deletes an existing work order.

### Body

<ParamField body="id" type="string">
  The id of the bill of materials to delete.
</ParamField>

### Response

<ResponseField name="id" type="string">
  The ID provided in the data tab may be used to identify the return
</ResponseField>

<ResponseField name="object" type="string">
  The object type
</ResponseField>

<ResponseField name="success" type="number">
  Indicates whether the call was successful. 1 if successful, 0 if not.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request DELETE 'https://api.stateset.com/v1/work_order' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
  		"id": "wo_ODkRWQtx9NVsRX"
  }'
  ```

  ```graphQL GraphQL theme={null}

                 mutation deleteWorkOrder ($work_order_id: uuid!) {
                  delete_work_orders(where: {id: {_eq: $work_order_id}}) {
                    affected_rows
                  }
                }
  ```

  ```javascript Node.js theme={null}

  const deleted = await stateset.workorders.del(
    'wo_ODkRWQtx9NVsRX'
  );

  ```

  ```python Python theme={null}

  deleted = stateset.workorders.del(
    'wo_ODkRWQtx9NVsRX'
  )

  ```

  ```ruby Ruby theme={null}

  deleted = Stateset::Workorders.del(
    'wo_ODkRWQtx9NVsRX'
  )

  ```

  ```php PHP theme={null}

  $deleted = $stateset->workorders->del(
    'wo_ODkRWQtx9NVsRX'
  );

  ```

  ```go Go theme={null}

  deleted, err := stateset.Workorders.Del(
    'wo_ODkRWQtx9NVsRX'
  )

  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "id": "wo_1NXWPnCo6bFb1KQto6C8OWvE",
    "object": "workorders",
    "deleted": true
  }
  ```
</ResponseExample>
